<div class="animated fadeIn">
    <app-search (search)="searchForName($event)"></app-search>
    <div class="divider"></div>
    <kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [navigable]="true" [reorderable]="true"
        [resizable]="true" [sortable]="true" (selectionChange)="selectRow($event)" style="height:54vh;" *ngIf="!loading">
        <kendo-grid-column field="Agencia" title="Agencia" width="150"></kendo-grid-column>
        <kendo-grid-column field="anombre" title="Nombre" width="180"></kendo-grid-column>
        <kendo-grid-column field="aciudad" title="Ciudad" width="150" [filterable]="false"></kendo-grid-column>
        <kendo-grid-column field="estado" title="Estado" width="100" [filterable]="false"></kendo-grid-column>
    </kendo-grid>
</div>

<app-loading *ngIf="loading">Espere un momento...</app-loading>